<?php
$tdatapremios_total = array();
$tdatapremios_total[".searchableFields"] = array();
$tdatapremios_total[".ShortName"] = "premios_total";
$tdatapremios_total[".OwnerID"] = "";
$tdatapremios_total[".OriginalTable"] = "premios_total";


$tdatapremios_total[".pagesByType"] = my_json_decode( "{\"search\":[\"search\"]}" );
$tdatapremios_total[".originalPagesByType"] = $tdatapremios_total[".pagesByType"];
$tdatapremios_total[".pages"] = types2pages( my_json_decode( "{\"search\":[\"search\"]}" ) );
$tdatapremios_total[".originalPages"] = $tdatapremios_total[".pages"];
$tdatapremios_total[".defaultPages"] = my_json_decode( "{\"search\":\"search\"}" );
$tdatapremios_total[".originalDefaultPages"] = $tdatapremios_total[".defaultPages"];

//	field labels
$fieldLabelspremios_total = array();
$fieldToolTipspremios_total = array();
$pageTitlespremios_total = array();
$placeHolderspremios_total = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelspremios_total["Spanish"] = array();
	$fieldToolTipspremios_total["Spanish"] = array();
	$placeHolderspremios_total["Spanish"] = array();
	$pageTitlespremios_total["Spanish"] = array();
	$fieldLabelspremios_total["Spanish"]["cantidad_max"] = "Cantidad Max";
	$fieldToolTipspremios_total["Spanish"]["cantidad_max"] = "";
	$placeHolderspremios_total["Spanish"]["cantidad_max"] = "";
	$fieldLabelspremios_total["Spanish"]["Premio"] = "Premio";
	$fieldToolTipspremios_total["Spanish"]["Premio"] = "";
	$placeHolderspremios_total["Spanish"]["Premio"] = "";
	$fieldLabelspremios_total["Spanish"]["tipo_vehiculo"] = "Tipo Vehiculo";
	$fieldToolTipspremios_total["Spanish"]["tipo_vehiculo"] = "";
	$placeHolderspremios_total["Spanish"]["tipo_vehiculo"] = "";
	$fieldLabelspremios_total["Spanish"]["id_det_premio"] = "Id Det Premio";
	$fieldToolTipspremios_total["Spanish"]["id_det_premio"] = "";
	$placeHolderspremios_total["Spanish"]["id_det_premio"] = "";
	$fieldLabelspremios_total["Spanish"]["id_premio"] = "Id Premio";
	$fieldToolTipspremios_total["Spanish"]["id_premio"] = "";
	$placeHolderspremios_total["Spanish"]["id_premio"] = "";
	$fieldLabelspremios_total["Spanish"]["nombres"] = "Nombres";
	$fieldToolTipspremios_total["Spanish"]["nombres"] = "";
	$placeHolderspremios_total["Spanish"]["nombres"] = "";
	$fieldLabelspremios_total["Spanish"]["placa"] = "Placa";
	$fieldToolTipspremios_total["Spanish"]["placa"] = "";
	$placeHolderspremios_total["Spanish"]["placa"] = "";
	$fieldLabelspremios_total["Spanish"]["id"] = "Id";
	$fieldToolTipspremios_total["Spanish"]["id"] = "";
	$placeHolderspremios_total["Spanish"]["id"] = "";
	$fieldLabelspremios_total["Spanish"]["apellido_paterno"] = "Apellido Paterno";
	$fieldToolTipspremios_total["Spanish"]["apellido_paterno"] = "";
	$placeHolderspremios_total["Spanish"]["apellido_paterno"] = "";
	$fieldLabelspremios_total["Spanish"]["apellido_materno"] = "Apellido Materno";
	$fieldToolTipspremios_total["Spanish"]["apellido_materno"] = "";
	$placeHolderspremios_total["Spanish"]["apellido_materno"] = "";
	$fieldLabelspremios_total["Spanish"]["ci"] = "Ci";
	$fieldToolTipspremios_total["Spanish"]["ci"] = "";
	$placeHolderspremios_total["Spanish"]["ci"] = "";
	$fieldLabelspremios_total["Spanish"]["id_promocion"] = "Id Promocion";
	$fieldToolTipspremios_total["Spanish"]["id_promocion"] = "";
	$placeHolderspremios_total["Spanish"]["id_promocion"] = "";
	if (count($fieldToolTipspremios_total["Spanish"]))
		$tdatapremios_total[".isUseToolTips"] = true;
}


	$tdatapremios_total[".NCSearch"] = true;



$tdatapremios_total[".shortTableName"] = "premios_total";
$tdatapremios_total[".nSecOptions"] = 0;

$tdatapremios_total[".mainTableOwnerID"] = "";
$tdatapremios_total[".entityType"] = 0;
$tdatapremios_total[".connId"] = "bsn_dividendos_at_localhost";


$tdatapremios_total[".strOriginalTableName"] = "premios_total";

	



$tdatapremios_total[".showAddInPopup"] = false;

$tdatapremios_total[".showEditInPopup"] = false;

$tdatapremios_total[".showViewInPopup"] = false;

$tdatapremios_total[".listAjax"] = false;
//	temporary
//$tdatapremios_total[".listAjax"] = false;

	$tdatapremios_total[".audit"] = true;

	$tdatapremios_total[".locking"] = true;


$pages = $tdatapremios_total[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapremios_total[".edit"] = true;
	$tdatapremios_total[".afterEditAction"] = 1;
	$tdatapremios_total[".closePopupAfterEdit"] = 1;
	$tdatapremios_total[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapremios_total[".add"] = true;
$tdatapremios_total[".afterAddAction"] = 1;
$tdatapremios_total[".closePopupAfterAdd"] = 1;
$tdatapremios_total[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapremios_total[".list"] = true;
}



$tdatapremios_total[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapremios_total[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapremios_total[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapremios_total[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapremios_total[".printFriendly"] = true;
}



$tdatapremios_total[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapremios_total[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapremios_total[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapremios_total[".isUseAjaxSuggest"] = true;



																																	

$tdatapremios_total[".ajaxCodeSnippetAdded"] = false;

$tdatapremios_total[".buttonsAdded"] = false;

$tdatapremios_total[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapremios_total[".isUseTimeForSearch"] = false;


$tdatapremios_total[".badgeColor"] = "5F9EA0";


$tdatapremios_total[".allSearchFields"] = array();
$tdatapremios_total[".filterFields"] = array();
$tdatapremios_total[".requiredSearchFields"] = array();

$tdatapremios_total[".googleLikeFields"] = array();
$tdatapremios_total[".googleLikeFields"][] = "apellido_materno";
$tdatapremios_total[".googleLikeFields"][] = "apellido_paterno";
$tdatapremios_total[".googleLikeFields"][] = "cantidad_max";
$tdatapremios_total[".googleLikeFields"][] = "ci";
$tdatapremios_total[".googleLikeFields"][] = "id";
$tdatapremios_total[".googleLikeFields"][] = "id_det_premio";
$tdatapremios_total[".googleLikeFields"][] = "id_premio";
$tdatapremios_total[".googleLikeFields"][] = "id_promocion";
$tdatapremios_total[".googleLikeFields"][] = "nombres";
$tdatapremios_total[".googleLikeFields"][] = "placa";
$tdatapremios_total[".googleLikeFields"][] = "Premio";
$tdatapremios_total[".googleLikeFields"][] = "tipo_vehiculo";



$tdatapremios_total[".tableType"] = "list";

$tdatapremios_total[".printerPageOrientation"] = 0;
$tdatapremios_total[".nPrinterPageScale"] = 100;

$tdatapremios_total[".nPrinterSplitRecords"] = 40;

$tdatapremios_total[".geocodingEnabled"] = false;










$tdatapremios_total[".pageSize"] = 20;

$tdatapremios_total[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatapremios_total[".strOrderBy"] = $tstrOrderBy;

$tdatapremios_total[".orderindexes"] = array();


$tdatapremios_total[".sqlHead"] = "SELECT apellido_materno,  	apellido_paterno,  	cantidad_max,  	ci,  	id,  	id_det_premio,  	id_premio,  	id_promocion,  	nombres,  	placa,  	Premio,  	tipo_vehiculo";
$tdatapremios_total[".sqlFrom"] = "FROM premios_total";
$tdatapremios_total[".sqlWhereExpr"] = "";
$tdatapremios_total[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapremios_total[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapremios_total[".arrGroupsPerPage"] = $arrGPP;

$tdatapremios_total[".highlightSearchResults"] = true;

$tableKeyspremios_total = array();
$tdatapremios_total[".Keys"] = $tableKeyspremios_total;


$tdatapremios_total[".hideMobileList"] = array();




//	apellido_materno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "apellido_materno";
	$fdata["GoodName"] = "apellido_materno";
	$fdata["ownerTable"] = "premios_total";
	$fdata["Label"] = GetFieldLabel("premios_total","apellido_materno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_materno";

		$fdata["sourceSingle"] = "apellido_materno";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "apellido_materno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapremios_total["apellido_materno"] = $fdata;
		$tdatapremios_total[".searchableFields"][] = "apellido_materno";
//	apellido_paterno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "apellido_paterno";
	$fdata["GoodName"] = "apellido_paterno";
	$fdata["ownerTable"] = "premios_total";
	$fdata["Label"] = GetFieldLabel("premios_total","apellido_paterno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_paterno";

		$fdata["sourceSingle"] = "apellido_paterno";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "apellido_paterno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapremios_total["apellido_paterno"] = $fdata;
		$tdatapremios_total[".searchableFields"][] = "apellido_paterno";
//	cantidad_max
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "cantidad_max";
	$fdata["GoodName"] = "cantidad_max";
	$fdata["ownerTable"] = "premios_total";
	$fdata["Label"] = GetFieldLabel("premios_total","cantidad_max");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "cantidad_max";

		$fdata["sourceSingle"] = "cantidad_max";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cantidad_max";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapremios_total["cantidad_max"] = $fdata;
		$tdatapremios_total[".searchableFields"][] = "cantidad_max";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "premios_total";
	$fdata["Label"] = GetFieldLabel("premios_total","ci");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "ci";

		$fdata["sourceSingle"] = "ci";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapremios_total["ci"] = $fdata;
		$tdatapremios_total[".searchableFields"][] = "ci";
//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "premios_total";
	$fdata["Label"] = GetFieldLabel("premios_total","id");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id";

		$fdata["sourceSingle"] = "id";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapremios_total["id"] = $fdata;
		$tdatapremios_total[".searchableFields"][] = "id";
//	id_det_premio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "id_det_premio";
	$fdata["GoodName"] = "id_det_premio";
	$fdata["ownerTable"] = "premios_total";
	$fdata["Label"] = GetFieldLabel("premios_total","id_det_premio");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_det_premio";

		$fdata["sourceSingle"] = "id_det_premio";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_det_premio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapremios_total["id_det_premio"] = $fdata;
		$tdatapremios_total[".searchableFields"][] = "id_det_premio";
//	id_premio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "id_premio";
	$fdata["GoodName"] = "id_premio";
	$fdata["ownerTable"] = "premios_total";
	$fdata["Label"] = GetFieldLabel("premios_total","id_premio");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_premio";

		$fdata["sourceSingle"] = "id_premio";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_premio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapremios_total["id_premio"] = $fdata;
		$tdatapremios_total[".searchableFields"][] = "id_premio";
//	id_promocion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "id_promocion";
	$fdata["GoodName"] = "id_promocion";
	$fdata["ownerTable"] = "premios_total";
	$fdata["Label"] = GetFieldLabel("premios_total","id_promocion");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_promocion";

		$fdata["sourceSingle"] = "id_promocion";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_promocion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapremios_total["id_promocion"] = $fdata;
		$tdatapremios_total[".searchableFields"][] = "id_promocion";
//	nombres
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "nombres";
	$fdata["GoodName"] = "nombres";
	$fdata["ownerTable"] = "premios_total";
	$fdata["Label"] = GetFieldLabel("premios_total","nombres");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombres";

		$fdata["sourceSingle"] = "nombres";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombres";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapremios_total["nombres"] = $fdata;
		$tdatapremios_total[".searchableFields"][] = "nombres";
//	placa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "placa";
	$fdata["GoodName"] = "placa";
	$fdata["ownerTable"] = "premios_total";
	$fdata["Label"] = GetFieldLabel("premios_total","placa");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "placa";

		$fdata["sourceSingle"] = "placa";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "placa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapremios_total["placa"] = $fdata;
		$tdatapremios_total[".searchableFields"][] = "placa";
//	Premio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "Premio";
	$fdata["GoodName"] = "Premio";
	$fdata["ownerTable"] = "premios_total";
	$fdata["Label"] = GetFieldLabel("premios_total","Premio");
	$fdata["FieldType"] = 201;


	
	
			

		$fdata["strField"] = "Premio";

		$fdata["sourceSingle"] = "Premio";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Premio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=511";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapremios_total["Premio"] = $fdata;
		$tdatapremios_total[".searchableFields"][] = "Premio";
//	tipo_vehiculo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "tipo_vehiculo";
	$fdata["GoodName"] = "tipo_vehiculo";
	$fdata["ownerTable"] = "premios_total";
	$fdata["Label"] = GetFieldLabel("premios_total","tipo_vehiculo");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "tipo_vehiculo";

		$fdata["sourceSingle"] = "tipo_vehiculo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipo_vehiculo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapremios_total["tipo_vehiculo"] = $fdata;
		$tdatapremios_total[".searchableFields"][] = "tipo_vehiculo";


$tables_data["premios_total"]=&$tdatapremios_total;
$field_labels["premios_total"] = &$fieldLabelspremios_total;
$fieldToolTips["premios_total"] = &$fieldToolTipspremios_total;
$placeHolders["premios_total"] = &$placeHolderspremios_total;
$page_titles["premios_total"] = &$pageTitlespremios_total;


changeTextControlsToDate( "premios_total" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["premios_total"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["premios_total"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_premios_total()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "apellido_materno,  	apellido_paterno,  	cantidad_max,  	ci,  	id,  	id_det_premio,  	id_premio,  	id_promocion,  	nombres,  	placa,  	Premio,  	tipo_vehiculo";
$proto0["m_strFrom"] = "FROM premios_total";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_materno",
	"m_strTable" => "premios_total",
	"m_srcTableName" => "premios_total"
));

$proto6["m_sql"] = "apellido_materno";
$proto6["m_srcTableName"] = "premios_total";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_paterno",
	"m_strTable" => "premios_total",
	"m_srcTableName" => "premios_total"
));

$proto8["m_sql"] = "apellido_paterno";
$proto8["m_srcTableName"] = "premios_total";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "cantidad_max",
	"m_strTable" => "premios_total",
	"m_srcTableName" => "premios_total"
));

$proto10["m_sql"] = "cantidad_max";
$proto10["m_srcTableName"] = "premios_total";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "premios_total",
	"m_srcTableName" => "premios_total"
));

$proto12["m_sql"] = "ci";
$proto12["m_srcTableName"] = "premios_total";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "premios_total",
	"m_srcTableName" => "premios_total"
));

$proto14["m_sql"] = "id";
$proto14["m_srcTableName"] = "premios_total";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "id_det_premio",
	"m_strTable" => "premios_total",
	"m_srcTableName" => "premios_total"
));

$proto16["m_sql"] = "id_det_premio";
$proto16["m_srcTableName"] = "premios_total";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "id_premio",
	"m_strTable" => "premios_total",
	"m_srcTableName" => "premios_total"
));

$proto18["m_sql"] = "id_premio";
$proto18["m_srcTableName"] = "premios_total";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "id_promocion",
	"m_strTable" => "premios_total",
	"m_srcTableName" => "premios_total"
));

$proto20["m_sql"] = "id_promocion";
$proto20["m_srcTableName"] = "premios_total";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "nombres",
	"m_strTable" => "premios_total",
	"m_srcTableName" => "premios_total"
));

$proto22["m_sql"] = "nombres";
$proto22["m_srcTableName"] = "premios_total";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "placa",
	"m_strTable" => "premios_total",
	"m_srcTableName" => "premios_total"
));

$proto24["m_sql"] = "placa";
$proto24["m_srcTableName"] = "premios_total";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "Premio",
	"m_strTable" => "premios_total",
	"m_srcTableName" => "premios_total"
));

$proto26["m_sql"] = "Premio";
$proto26["m_srcTableName"] = "premios_total";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_vehiculo",
	"m_strTable" => "premios_total",
	"m_srcTableName" => "premios_total"
));

$proto28["m_sql"] = "tipo_vehiculo";
$proto28["m_srcTableName"] = "premios_total";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto30=array();
$proto30["m_link"] = "SQLL_MAIN";
			$proto31=array();
$proto31["m_strName"] = "premios_total";
$proto31["m_srcTableName"] = "premios_total";
$proto31["m_columns"] = array();
$proto31["m_columns"][] = "apellido_materno";
$proto31["m_columns"][] = "apellido_paterno";
$proto31["m_columns"][] = "cantidad_max";
$proto31["m_columns"][] = "ci";
$proto31["m_columns"][] = "id";
$proto31["m_columns"][] = "id_det_premio";
$proto31["m_columns"][] = "id_premio";
$proto31["m_columns"][] = "id_promocion";
$proto31["m_columns"][] = "nombres";
$proto31["m_columns"][] = "placa";
$proto31["m_columns"][] = "Premio";
$proto31["m_columns"][] = "tipo_vehiculo";
$obj = new SQLTable($proto31);

$proto30["m_table"] = $obj;
$proto30["m_sql"] = "premios_total";
$proto30["m_alias"] = "";
$proto30["m_srcTableName"] = "premios_total";
$proto32=array();
$proto32["m_sql"] = "";
$proto32["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto32["m_column"]=$obj;
$proto32["m_contained"] = array();
$proto32["m_strCase"] = "";
$proto32["m_havingmode"] = false;
$proto32["m_inBrackets"] = false;
$proto32["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto32);

$proto30["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto30);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="premios_total";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_premios_total = createSqlQuery_premios_total();


	
		;

												

$tdatapremios_total[".sqlquery"] = $queryData_premios_total;



$tdatapremios_total[".hasEvents"] = false;

?>